Module
Inhalte
Index 🔎︎

# Funktion NPV [VBA]

Berechnet den Barwert einer Investition, basierend auf einem vorgegebenen Diskontsatz und einer Reihe von Ein- und Auszahlungen.

Diese Funktion oder Konstante ist aktiviert, wenn die Anweisung Option VBASupport 1 vor dem ausführbaren Programmcode in einem Modul platziert wurde.

## Syntax:

    NPV (Rate as Double, Values() as Double)

## Rückgabewert:

Double

## Parameter:

Rate ist das Disagio für einen Zeitraum.

Values() ist eine Matrix mit Einzahlungen (positive Werte) und Auszahlungen (negative Werte).

## Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    REM ***** BASIC *****

    Option VBASupport 1

    Sub ExampleNPV

     Dim r As Double

     Dim pValues(5) as Double

     pValues(0) = 100

     pValues(1) = 100

     pValues(2) = 100

     pValues(3) = -300

     pValues(4) = 100

     pValues(5) = 100

     r = 0.06

     p = NPV( r, pValues)

     Print p ' ergibt 174,894967305331

    End Sub

Verwandte Themen

Funktion NBW (NPV) in CALC

VBA - Finanzmathematische Funktionen